#include "main.h"
#define SUCCESS							(0)
#define DELAY_CYCLE_CNT1				(1000)
#define DELAY_CYCLE_CNT2				( DELAY_CYCLE_CNT1 )

static void delay( void );
static void port_init( void );
static void PLL_init( void );

int main( void );

int main()
{
	port_init();
	PLL_init();

	for(;;){
		port_bit_set( IOSET0,LED_BIT );
		delay();
		port_bit_set( IOCLR0,LED_BIT );
		delay();
	}
	return SUCCESS;
}/* main */

static void delay()
{
	volatile int i,j;
		for (i=0;i<DELAY_CYCLE_CNT1;i++)
			for (j=0;j<DELAY_CYCLE_CNT2;j++);
}/* delay */

static void port_init()
{
	port_bit_set( IODIR0,LED_BIT );
	port_bit_set( IOCLR0,LED_BIT );
}/*port_init*/

static void PLL_init()
{
		PLLCFG = PLLCFG_MSEL | PLLCFG_PSEL;

		// enable PLL
		PLLCON = PLLCON_PLLE;
		PLLFEED = 0xAA;                       // Make it happen.  These two updates
		PLLFEED = 0x55;                       // MUST occur in sequence.

		// wait for PLL lock
		while (!(PLLSTAT & PLLSTAT_LOCK))
			continue;

		// enable & connect PLL
		PLLCON = PLLCON_PLLE | PLLCON_PLLC;
		PLLFEED = 0xAA;                       // Make it happen.  These two updates
		PLLFEED = 0x55;                       // MUST occur in sequence.
		VPBDIV = 0x00000002;

}/* PLL_init*/
